PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List customers GETCreate a customer POSTGet a customer GETUpdate a customer PATCHDelete a customer DELETE
Customers

Delete a customer

DELETE
/customers/{customerId}

Authorization

x-api-key<token>

In: header

Path Parameters

customerId*string

Response Body

application/json

curl -X DELETE "https://example.com/customers/string"
{  "data": {    "id": "string",    "name": "string",    "email": "string",    "phone": "string",    "company": "string",    "role": "string",    "typeIds": [      "string"    ],    "types": [      {        "id": "string",        "name": "string",        "color": "string",        "icon": "string"      }    ],    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}

Update a customer PATCH

Previous Page

List contacts GET

Next Page